
Foreman - Bug #14963

Contents of select boxes in settings are static, not showing latest objects

05/09/2016 05:36 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Settings   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3509

  

Description

#3200 reverted some behaviour of select boxes in the settings page so it now has static lists of environment, orgs and locations

which are determined when the Rails server starts. These lists should be loaded dynamically on page load.

The lists of objects used to be loaded inside the helper, which ran during page rendering:

https://github.com/theforeman/foreman/commit/ad603e4023c5400c51674f1fa3635565f7b3b552#diff-99f01fed5094bece4bbc97c882f

4b666L15

These are now hardcoded lists in the settings loader, which runs at startup:

https://github.com/theforeman/foreman/commit/ad603e4023c5400c51674f1fa3635565f7b3b552#diff-110b9dfb3bec067f495173daa77

532f3R10

The :collection should probably accept a lambda or something, which would also fix this situation for plugins.

Related issues:

Related to Foreman - Feature #3200: Add select boxes to Settings Closed 10/04/2013

Associated revisions

Revision 1f823285 - 05/10/2016 01:12 PM - Amir Fefer

Fixes #14963 - supports dynamic content in setting select box

History

#1 - 05/09/2016 05:36 AM - Dominic Cleal

- Related to Feature #3200: Add select boxes to Settings added

#2 - 05/10/2016 03:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Amir Fefer

- Pull request https://github.com/theforeman/foreman/pull/3509 added

#3 - 05/10/2016 02:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1f823285f5c8231fc6afab0c7c2064690fde0d39.
